package com.zsElectric.boot.core.pay.swiftpass.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;


/**
 * <功能详细描述>配置信息
 * 
 * @author  Administrator
 * @version  [版本号, 2018-2-1]
 * @since  [产品/模块版本]
 */
@Configuration
public class SwiftpassConfig {

    /**
     * 微信小程序相关
     */

    /**
     * 交易密钥
     */
    @Value("${wx.key:}")
    private  String key ;
    @Value("${wx.mchPrivateKey:}")
    private  String mchPrivateKey;
    @Value("${wx.platPublicKey:}")
    private  String platPublicKey;
    /**
     * 商户号
     */
    @Value("${wx.mch_id:}")
    private  String mch_id;
    /**
     * appid
     */
    @Value("${wx.appid:}")
    private  String appid;
    /**
     * secret
     */
    @Value("${wx.secret:}")
    private  String secret;
    /**
     * 请求url
     */
    @Value("${wx.req_url:}")
    private  String req_url;

    /**
     * 通知url
     */
    @Value("${wx.notify_url:}")
    private  String notify_url;


    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getMchPrivateKey() {
        return mchPrivateKey;
    }

    public void setMchPrivateKey(String mchPrivateKey) {
        this.mchPrivateKey = mchPrivateKey;
    }

    public String getPlatPublicKey() {
        return platPublicKey;
    }

    public void setPlatPublicKey(String platPublicKey) {
        this.platPublicKey = platPublicKey;
    }

    public String getMch_id() {
        return mch_id;
    }

    public void setMch_id(String mch_id) {
        this.mch_id = mch_id;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }


    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public String getReq_url() {
        return req_url;
    }

    public void setReq_url(String req_url) {
        this.req_url = req_url;
    }

    public String getNotify_url() {
        return notify_url;
    }

    public void setNotify_url(String notify_url) {
        this.notify_url = notify_url;
    }

}
